DEVICE_REPROBE(9)

NAME
device_reprobe - remove driver for a device and probe for a new driver

SYNOPSIS

int device_reprobe(struct device * dev);

ARGUMENTS

dev
    the device to reprobe

DESCRIPTION

This function detaches the attached driver (if any) for the given device and restarts the driver probing process. It is intended to use if probing criteria changed during a devices lifetime and driver attachment should change accordingly.

COPYRIGHT